package com.palmnest.dao.notice.impl;

import java.util.Map;

import org.springframework.stereotype.Repository;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.hibernate.GenericDaoHibernate;
import com.palmnest.dao.notice.PhoneMessageDao;
import com.palmnest.dao.notice.WxpubDao;
import com.palmnest.dao.notice.WxpubLibOrgDao;
import com.palmnest.model.estateserve.WxPublicno;
import com.palmnest.model.estateserve.WxPublicnoOrgRelation;
import com.palmnest.model.notice.PhoneMessageModel;

@Repository("WxpubLibOrgDao")
public class WxpubLibOrgDaoImpl extends GenericDaoHibernate<WxPublicnoOrgRelation, Integer> implements WxpubLibOrgDao {

	public WxpubLibOrgDaoImpl() {
		super(WxPublicnoOrgRelation.class);

	}

	@Override
	public Page getByOrId(int orId) throws Exception {
		StringBuffer sbf = new StringBuffer();
		sbf.append("select * from tr_wxpublicno_org where organizationId = " + orId + " AND 1=1");
		return pagedQueryByJdbcTemplate(sbf.toString(), 0, Integer.MAX_VALUE);

	}


}
